Update
- PATCH
- /workspaces
- /:workspace
- /distributions
- /:distribution_id
- /routes
- /:route_id
Update route configuration
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/distributions/:distribution_id/routes/:route_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"subdomain": "updated-api",
"targets": {
"default": {
"type": "EXTERNAL",
"external_url": "https://updated.example.com"
}
}
}'EXAMPLE RESPONSE{ "url": "https://api.buddy.works/workspaces/my-workspace/distributions/gNYmaWYw/routes/dybEM2bg?project_name=my-project", "html_url": "https://app.buddy.works/my-workspace/my-project/routing/gNYmaWYw/route/dybEM2bg", "id": "dybEM2bg", "type": "PROXY", "subdomain": "sandbox", "domain": "buddy.works", "path": "", "targets": { "Default": { "type": "SANDBOX", "sandbox": { "id": "ynjuqe2kov258", "endpoint": "www" } } } }
STATUS200 OK